# budgea_client

BudgeaClient - the Ruby gem for the Budgea API Documentation

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0
- Package version: 5.4.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build budgea_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./budgea_client-5.4.0.gem
```
(for development, run `gem install --dev ./budgea_client-5.4.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'budgea_client', '~> 5.4.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'budgea_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'budgea_client'

# Setup authorization
BudgeaClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = BudgeaClient::AdministrationApi.new

opts = { 
  expand: 'expand_example' # String | 
}

begin
  #List clients
  result = api_instance.clients_get(opts)
  p result
rescue BudgeaClient::ApiError => e
  puts "Exception when calling AdministrationApi->clients_get: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://demo.biapi.pro/2.0/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BudgeaClient::AdministrationApi* | [**clients_get**](docs/AdministrationApi.md#clients_get) | **GET** /clients | List clients
*BudgeaClient::AdministrationApi* | [**clients_id_client_delete**](docs/AdministrationApi.md#clients_id_client_delete) | **DELETE** /clients/{id_client} | Delete a client
*BudgeaClient::AdministrationApi* | [**clients_id_client_get**](docs/AdministrationApi.md#clients_id_client_get) | **GET** /clients/{id_client} | Get information about a client
*BudgeaClient::AdministrationApi* | [**clients_id_client_logo_delete**](docs/AdministrationApi.md#clients_id_client_logo_delete) | **DELETE** /clients/{id_client}/logo | Delete the client logo
*BudgeaClient::AdministrationApi* | [**clients_id_client_logo_post**](docs/AdministrationApi.md#clients_id_client_logo_post) | **POST** /clients/{id_client}/logo | Update the client logo
*BudgeaClient::AdministrationApi* | [**clients_id_client_put**](docs/AdministrationApi.md#clients_id_client_put) | **PUT** /clients/{id_client} | Update a client
*BudgeaClient::AdministrationApi* | [**clients_post**](docs/AdministrationApi.md#clients_post) | **POST** /clients | Create a client
*BudgeaClient::AdministrationApi* | [**config_get**](docs/AdministrationApi.md#config_get) | **GET** /config | Get configuration of the API.
*BudgeaClient::AdministrationApi* | [**config_logs_get**](docs/AdministrationApi.md#config_logs_get) | **GET** /config/logs | Get configuration change history of the API.
*BudgeaClient::AdministrationApi* | [**config_post**](docs/AdministrationApi.md#config_post) | **POST** /config | Set a configuration value on the API.
*BudgeaClient::AdministrationApi* | [**merchants_get**](docs/AdministrationApi.md#merchants_get) | **GET** /merchants | List clients
*BudgeaClient::AdministrationApi* | [**merchants_id_client_logo_delete**](docs/AdministrationApi.md#merchants_id_client_logo_delete) | **DELETE** /merchants/{id_client}/logo | Delete the client logo
*BudgeaClient::AdministrationApi* | [**merchants_id_client_logo_post**](docs/AdministrationApi.md#merchants_id_client_logo_post) | **POST** /merchants/{id_client}/logo | Update the client logo
*BudgeaClient::AdministrationApi* | [**merchants_post**](docs/AdministrationApi.md#merchants_post) | **POST** /merchants | Create a merchant. Needs a user identified in bearer to be used
*BudgeaClient::AdministrationApi* | [**monitoring_get**](docs/AdministrationApi.md#monitoring_get) | **GET** /monitoring | get performances stats on this instance
*BudgeaClient::AdministrationApi* | [**test_sync_post**](docs/AdministrationApi.md#test_sync_post) | **POST** /test/sync | Test synchronization on a random connection.
*BudgeaClient::AdministrationApi* | [**test_webhooks_post**](docs/AdministrationApi.md#test_webhooks_post) | **POST** /test/webhooks | Test synchronization on a random connection.
*BudgeaClient::AdministrationApi* | [**webhooks_auth_delete**](docs/AdministrationApi.md#webhooks_auth_delete) | **DELETE** /webhooks/auth | Deletes all webhook authentication types
*BudgeaClient::AdministrationApi* | [**webhooks_auth_get**](docs/AdministrationApi.md#webhooks_auth_get) | **GET** /webhooks/auth | Get webhooks authentication types
*BudgeaClient::AdministrationApi* | [**webhooks_auth_id_auth_delete**](docs/AdministrationApi.md#webhooks_auth_id_auth_delete) | **DELETE** /webhooks/auth/{id_auth} | Deletes the webhook authentication type
*BudgeaClient::AdministrationApi* | [**webhooks_auth_id_auth_post**](docs/AdministrationApi.md#webhooks_auth_id_auth_post) | **POST** /webhooks/auth/{id_auth} | Updates the webhook authentication type
*BudgeaClient::AdministrationApi* | [**webhooks_auth_id_auth_put**](docs/AdministrationApi.md#webhooks_auth_id_auth_put) | **PUT** /webhooks/auth/{id_auth} | Updates the webhook authentication type
*BudgeaClient::AdministrationApi* | [**webhooks_auth_post**](docs/AdministrationApi.md#webhooks_auth_post) | **POST** /webhooks/auth | Adds a new webhook authentication type
*BudgeaClient::AdministrationApi* | [**webhooks_delete**](docs/AdministrationApi.md#webhooks_delete) | **DELETE** /webhooks | Deletes all webhooks
*BudgeaClient::AdministrationApi* | [**webhooks_get**](docs/AdministrationApi.md#webhooks_get) | **GET** /webhooks | Get webhooks
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_add_to_data_delete**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_delete) | **DELETE** /webhooks/{id_webhook}/add_to_data | delete all entries
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_add_to_data_get**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_get) | **GET** /webhooks/{id_webhook}/add_to_data | retrieve the list of the value to add in webhooks when sending the requested webhook
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_add_to_data_key_delete**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_key_delete) | **DELETE** /webhooks/{id_webhook}/add_to_data/{key} | delete the requested entry
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_add_to_data_key_get**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_key_get) | **GET** /webhooks/{id_webhook}/add_to_data/{key} | retrieve the value to add in the requested webhook for the requested name
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_add_to_data_key_post**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_key_post) | **POST** /webhooks/{id_webhook}/add_to_data/{key} | upate the requested field to store in user config when calling the endpoint
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_add_to_data_post**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_post) | **POST** /webhooks/{id_webhook}/add_to_data | Setup a field to store in user config when calling the endpoint
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_delete**](docs/AdministrationApi.md#webhooks_id_webhook_delete) | **DELETE** /webhooks/{id_webhook} | Deletes a webhook
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_logs_get**](docs/AdministrationApi.md#webhooks_id_webhook_logs_get) | **GET** /webhooks/{id_webhook}/logs | Get webhooks logs.
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_post**](docs/AdministrationApi.md#webhooks_id_webhook_post) | **POST** /webhooks/{id_webhook} | Updates a webhook
*BudgeaClient::AdministrationApi* | [**webhooks_id_webhook_put**](docs/AdministrationApi.md#webhooks_id_webhook_put) | **PUT** /webhooks/{id_webhook} | Updates a webhook
*BudgeaClient::AdministrationApi* | [**webhooks_post**](docs/AdministrationApi.md#webhooks_post) | **POST** /webhooks | Adds a new webhook
*BudgeaClient::AuthenticationApi* | [**admin_jwt_post**](docs/AuthenticationApi.md#admin_jwt_post) | **POST** /admin/jwt | Generate a jwt manage token
*BudgeaClient::AuthenticationApi* | [**auth_init_post**](docs/AuthenticationApi.md#auth_init_post) | **POST** /auth/init | Create a new anonymous user
*BudgeaClient::AuthenticationApi* | [**auth_jwt_post**](docs/AuthenticationApi.md#auth_jwt_post) | **POST** /auth/jwt | Generate a user jwt token
*BudgeaClient::AuthenticationApi* | [**auth_token_access_post**](docs/AuthenticationApi.md#auth_token_access_post) | **POST** /auth/token/access | Transform a temporary code to a access_token
*BudgeaClient::AuthenticationApi* | [**auth_token_code_get**](docs/AuthenticationApi.md#auth_token_code_get) | **GET** /auth/token/code | Generate a user temporary token
*BudgeaClient::AuthenticationApi* | [**auth_token_delete**](docs/AuthenticationApi.md#auth_token_delete) | **DELETE** /auth/token | Remove user access
*BudgeaClient::AuthenticationApi* | [**auth_token_post**](docs/AuthenticationApi.md#auth_token_post) | **POST** /auth/token | Login to API with credentials
*BudgeaClient::AuthenticationApi* | [**certificate_type_get**](docs/AuthenticationApi.md#certificate_type_get) | **GET** /certificate/{type} | Get the latest certificate of a type
*BudgeaClient::AuthenticationApi* | [**hash_delete**](docs/AuthenticationApi.md#hash_delete) | **DELETE** /hash | Delete the user's connections
*BudgeaClient::AuthenticationApi* | [**users_id_user_delete**](docs/AuthenticationApi.md#users_id_user_delete) | **DELETE** /users/{id_user} | Delete the user
*BudgeaClient::AuthenticationApi* | [**users_id_user_get**](docs/AuthenticationApi.md#users_id_user_get) | **GET** /users/{id_user} | Get a user
*BudgeaClient::AuthenticationApi* | [**users_id_user_token_post**](docs/AuthenticationApi.md#users_id_user_token_post) | **POST** /users/{id_user}/token | Create a token
*BudgeaClient::AuthenticationApi* | [**webauth_get**](docs/AuthenticationApi.md#webauth_get) | **GET** /webauth | First step to establish an oAuth2 connection.
*BudgeaClient::BanksApi* | [**account_types_get**](docs/BanksApi.md#account_types_get) | **GET** /account_types | Get account types
*BudgeaClient::BanksApi* | [**account_types_id_account_type_get**](docs/BanksApi.md#account_types_id_account_type_get) | **GET** /account_types/{id_account_type} | Get an account type
*BudgeaClient::BanksApi* | [**banks_categories_id_category_delete**](docs/BanksApi.md#banks_categories_id_category_delete) | **DELETE** /banks/categories/{id_category} | Delete the supplied category
*BudgeaClient::BanksApi* | [**banks_categories_id_category_post**](docs/BanksApi.md#banks_categories_id_category_post) | **POST** /banks/categories/{id_category} | Edit a bank categories
*BudgeaClient::BanksApi* | [**banks_categories_post**](docs/BanksApi.md#banks_categories_post) | **POST** /banks/categories | Create bank categories
*BudgeaClient::BanksApi* | [**banks_get**](docs/BanksApi.md#banks_get) | **GET** /banks | Get list of connectors
*BudgeaClient::BanksApi* | [**banks_id_connector_connections_get**](docs/BanksApi.md#banks_id_connector_connections_get) | **GET** /banks/{id_connector}/connections | Get a subset of id_connection with the largest diversity of account
*BudgeaClient::BanksApi* | [**banks_id_connector_logos_get**](docs/BanksApi.md#banks_id_connector_logos_get) | **GET** /banks/{id_connector}/logos | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**banks_id_connector_logos_main_get**](docs/BanksApi.md#banks_id_connector_logos_main_get) | **GET** /banks/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**banks_id_connector_logos_thumbnail_get**](docs/BanksApi.md#banks_id_connector_logos_thumbnail_get) | **GET** /banks/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**banks_id_connector_sources_get**](docs/BanksApi.md#banks_id_connector_sources_get) | **GET** /banks/{id_connector}/sources | Get list of connector sources
*BudgeaClient::BanksApi* | [**categories_get**](docs/BanksApi.md#categories_get) | **GET** /categories | Get all categories
*BudgeaClient::BanksApi* | [**categories_keywords_id_keyword_delete**](docs/BanksApi.md#categories_keywords_id_keyword_delete) | **DELETE** /categories/keywords/{id_keyword} | Delete a particular key-value pair on a transaction.
*BudgeaClient::BanksApi* | [**categories_keywords_post**](docs/BanksApi.md#categories_keywords_post) | **POST** /categories/keywords | Add a new keyword associated with a category in the database.
*BudgeaClient::BanksApi* | [**categorize_post**](docs/BanksApi.md#categorize_post) | **POST** /categorize | categorize transactions without storing them
*BudgeaClient::BanksApi* | [**connections_get**](docs/BanksApi.md#connections_get) | **GET** /connections | Get connections without a user
*BudgeaClient::BanksApi* | [**connections_id_connection_logs_get**](docs/BanksApi.md#connections_id_connection_logs_get) | **GET** /connections/{id_connection}/logs | Get connection logs
*BudgeaClient::BanksApi* | [**connections_id_connection_sources_get**](docs/BanksApi.md#connections_id_connection_sources_get) | **GET** /connections/{id_connection}/sources | Get connection sources
*BudgeaClient::BanksApi* | [**connections_id_connection_sources_id_source_delete**](docs/BanksApi.md#connections_id_connection_sources_id_source_delete) | **DELETE** /connections/{id_connection}/sources/{id_source} | Disable a connection source
*BudgeaClient::BanksApi* | [**connections_id_connection_sources_id_source_post**](docs/BanksApi.md#connections_id_connection_sources_id_source_post) | **POST** /connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::BanksApi* | [**connections_id_connection_sources_id_source_put**](docs/BanksApi.md#connections_id_connection_sources_id_source_put) | **PUT** /connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::BanksApi* | [**connectors_get**](docs/BanksApi.md#connectors_get) | **GET** /connectors | Get list of connectors
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_get**](docs/BanksApi.md#connectors_id_connector_logos_get) | **GET** /connectors/{id_connector}/logos | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_id_logo_delete**](docs/BanksApi.md#connectors_id_connector_logos_id_logo_delete) | **DELETE** /connectors/{id_connector}/logos/{id_logo} | Delete a single Logo object.
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_id_logo_put**](docs/BanksApi.md#connectors_id_connector_logos_id_logo_put) | **PUT** /connectors/{id_connector}/logos/{id_logo} | Create or Update a connector Logo.
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_main_get**](docs/BanksApi.md#connectors_id_connector_logos_main_get) | **GET** /connectors/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_post**](docs/BanksApi.md#connectors_id_connector_logos_post) | **POST** /connectors/{id_connector}/logos | Create a connector Logo
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_put**](docs/BanksApi.md#connectors_id_connector_logos_put) | **PUT** /connectors/{id_connector}/logos | Create or Update a connector Logo
*BudgeaClient::BanksApi* | [**connectors_id_connector_logos_thumbnail_get**](docs/BanksApi.md#connectors_id_connector_logos_thumbnail_get) | **GET** /connectors/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**connectors_id_connector_put**](docs/BanksApi.md#connectors_id_connector_put) | **PUT** /connectors/{id_connector} | Edit the provided connector
*BudgeaClient::BanksApi* | [**connectors_id_connector_sources_get**](docs/BanksApi.md#connectors_id_connector_sources_get) | **GET** /connectors/{id_connector}/sources | Get list of connector sources
*BudgeaClient::BanksApi* | [**connectors_id_connector_sources_id_source_put**](docs/BanksApi.md#connectors_id_connector_sources_id_source_put) | **PUT** /connectors/{id_connector}/sources/{id_source} | Edit the provided connector source
*BudgeaClient::BanksApi* | [**connectors_post**](docs/BanksApi.md#connectors_post) | **POST** /connectors | Request a new connector
*BudgeaClient::BanksApi* | [**connectors_put**](docs/BanksApi.md#connectors_put) | **PUT** /connectors | Enable/disable several connectors
*BudgeaClient::BanksApi* | [**invoicing_get**](docs/BanksApi.md#invoicing_get) | **GET** /invoicing | Get invoicing data for a given period (default is the current month).
*BudgeaClient::BanksApi* | [**logs_get**](docs/BanksApi.md#logs_get) | **GET** /logs | Get connection logs
*BudgeaClient::BanksApi* | [**providers_get**](docs/BanksApi.md#providers_get) | **GET** /providers | Get list of connectors
*BudgeaClient::BanksApi* | [**providers_id_connector_connections_get**](docs/BanksApi.md#providers_id_connector_connections_get) | **GET** /providers/{id_connector}/connections | Get a random subset of provider's id_connection
*BudgeaClient::BanksApi* | [**providers_id_connector_logos_get**](docs/BanksApi.md#providers_id_connector_logos_get) | **GET** /providers/{id_connector}/logos | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**providers_id_connector_logos_main_get**](docs/BanksApi.md#providers_id_connector_logos_main_get) | **GET** /providers/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**providers_id_connector_logos_thumbnail_get**](docs/BanksApi.md#providers_id_connector_logos_thumbnail_get) | **GET** /providers/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BudgeaClient::BanksApi* | [**providers_id_connector_sources_get**](docs/BanksApi.md#providers_id_connector_sources_get) | **GET** /providers/{id_connector}/sources | Get list of connector sources
*BudgeaClient::BanksApi* | [**users_id_user_account_types_get**](docs/BanksApi.md#users_id_user_account_types_get) | **GET** /users/{id_user}/account_types | Get account types
*BudgeaClient::BanksApi* | [**users_id_user_account_types_id_account_type_get**](docs/BanksApi.md#users_id_user_account_types_id_account_type_get) | **GET** /users/{id_user}/account_types/{id_account_type} | Get an account type
*BudgeaClient::BanksApi* | [**users_id_user_accounts_delete**](docs/BanksApi.md#users_id_user_accounts_delete) | **DELETE** /users/{id_user}/accounts | Delete all accounts
*BudgeaClient::BanksApi* | [**users_id_user_accounts_get**](docs/BanksApi.md#users_id_user_accounts_get) | **GET** /users/{id_user}/accounts | Get accounts list.
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_categories_get**](docs/BanksApi.md#users_id_user_accounts_id_account_categories_get) | **GET** /users/{id_user}/accounts/{id_account}/categories | Get the category
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_delete) | **DELETE** /users/{id_user}/accounts/{id_account} | Delete an account.
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_delta_get**](docs/BanksApi.md#users_id_user_accounts_id_account_delta_get) | **GET** /users/{id_user}/accounts/{id_account}/delta | Get deltas of accounts
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_logs_get**](docs/BanksApi.md#users_id_user_accounts_id_account_logs_get) | **GET** /users/{id_user}/accounts/{id_account}/logs | Get accounts logs.
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_put**](docs/BanksApi.md#users_id_user_accounts_id_account_put) | **PUT** /users/{id_user}/accounts/{id_account} | Update an account
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_sources_get**](docs/BanksApi.md#users_id_user_accounts_id_account_sources_get) | **GET** /users/{id_user}/accounts/{id_account}/sources | Get account sources
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions | Delete transactions
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions | Get transactions
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction} | Edit a transaction meta-data
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactions_post**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_post) | **POST** /users/{id_user}/accounts/{id_account}/transactions | Create transactions
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_get) | **GET** /users/{id_user}/accounts/{id_account}/transactionsclusters | Get clustered transactions
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_post**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_post) | **POST** /users/{id_user}/accounts/{id_account}/transactionsclusters | Create clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_accounts_post**](docs/BanksApi.md#users_id_user_accounts_post) | **POST** /users/{id_user}/accounts | Create an account
*BudgeaClient::BanksApi* | [**users_id_user_accounts_put**](docs/BanksApi.md#users_id_user_accounts_put) | **PUT** /users/{id_user}/accounts | Update many accounts at once
*BudgeaClient::BanksApi* | [**users_id_user_alerts_get**](docs/BanksApi.md#users_id_user_alerts_get) | **GET** /users/{id_user}/alerts | Get alerts
*BudgeaClient::BanksApi* | [**users_id_user_categories_full_get**](docs/BanksApi.md#users_id_user_categories_full_get) | **GET** /users/{id_user}/categories/full | Get the category
*BudgeaClient::BanksApi* | [**users_id_user_categories_full_id_full_delete**](docs/BanksApi.md#users_id_user_categories_full_id_full_delete) | **DELETE** /users/{id_user}/categories/full/{id_full} | Delete a user-created transaction category
*BudgeaClient::BanksApi* | [**users_id_user_categories_full_id_full_put**](docs/BanksApi.md#users_id_user_categories_full_id_full_put) | **PUT** /users/{id_user}/categories/full/{id_full} | Modify a user-created category
*BudgeaClient::BanksApi* | [**users_id_user_categories_full_post**](docs/BanksApi.md#users_id_user_categories_full_post) | **POST** /users/{id_user}/categories/full | Create a new transaction category
*BudgeaClient::BanksApi* | [**users_id_user_categories_get**](docs/BanksApi.md#users_id_user_categories_get) | **GET** /users/{id_user}/categories | Get the category
*BudgeaClient::BanksApi* | [**users_id_user_connections_delete**](docs/BanksApi.md#users_id_user_connections_delete) | **DELETE** /users/{id_user}/connections | Delete all connections
*BudgeaClient::BanksApi* | [**users_id_user_connections_get**](docs/BanksApi.md#users_id_user_connections_get) | **GET** /users/{id_user}/connections | Get connections
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts | Delete all accounts
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts | Get accounts list.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_categories_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_categories_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/categories | Get the category
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account} | Delete an account.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_delta_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_delta_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/delta | Get deltas of accounts
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_logs_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/logs | Get accounts logs.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account} | Update an account
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_sources_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_sources_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/sources | Get account sources
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions | Delete transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions | Get transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction} | Edit a transaction meta-data
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_post**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions | Create transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters | Get clustered transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_post**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters | Create clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_post**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts | Create an account
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_accounts_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts | Update many accounts at once
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_delete) | **DELETE** /users/{id_user}/connections/{id_connection} | Delete a connection.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_get**](docs/BanksApi.md#users_id_user_connections_id_connection_get) | **GET** /users/{id_user}/connections/{id_connection} | Get connection
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_informations_get**](docs/BanksApi.md#users_id_user_connections_id_connection_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/informations | Get connection additionnal informations
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_logs_get**](docs/BanksApi.md#users_id_user_connections_id_connection_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/logs | Get connection logs
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_post**](docs/BanksApi.md#users_id_user_connections_id_connection_post) | **POST** /users/{id_user}/connections/{id_connection} | Update a connection.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_put**](docs/BanksApi.md#users_id_user_connections_id_connection_put) | **PUT** /users/{id_user}/connections/{id_connection} | Force synchronisation of a connection.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_sources_get**](docs/BanksApi.md#users_id_user_connections_id_connection_sources_get) | **GET** /users/{id_user}/connections/{id_connection}/sources | Get connection sources
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_sources_id_source_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_sources_id_source_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Disable a connection source
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_sources_id_source_post**](docs/BanksApi.md#users_id_user_connections_id_connection_sources_id_source_post) | **POST** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_sources_id_source_put**](docs/BanksApi.md#users_id_user_connections_id_connection_sources_id_source_put) | **PUT** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions | Delete transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions | Get transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction} | Edit a transaction meta-data
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactions_post**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_post) | **POST** /users/{id_user}/connections/{id_connection}/transactions | Create transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_get) | **GET** /users/{id_user}/connections/{id_connection}/transactionsclusters | Get clustered transactions
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_post**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_post) | **POST** /users/{id_user}/connections/{id_connection}/transactionsclusters | Create clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_connections_post**](docs/BanksApi.md#users_id_user_connections_post) | **POST** /users/{id_user}/connections | Add a new connection.
*BudgeaClient::BanksApi* | [**users_id_user_forecast_get**](docs/BanksApi.md#users_id_user_forecast_get) | **GET** /users/{id_user}/forecast | Get forecast
*BudgeaClient::BanksApi* | [**users_id_user_logs_get**](docs/BanksApi.md#users_id_user_logs_get) | **GET** /users/{id_user}/logs | Get connection logs
*BudgeaClient::BanksApi* | [**users_id_user_transactions_delete**](docs/BanksApi.md#users_id_user_transactions_delete) | **DELETE** /users/{id_user}/transactions | Delete transactions
*BudgeaClient::BanksApi* | [**users_id_user_transactions_get**](docs/BanksApi.md#users_id_user_transactions_get) | **GET** /users/{id_user}/transactions | Get transactions
*BudgeaClient::BanksApi* | [**users_id_user_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BudgeaClient::BanksApi* | [**users_id_user_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BudgeaClient::BanksApi* | [**users_id_user_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BudgeaClient::BanksApi* | [**users_id_user_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BudgeaClient::BanksApi* | [**users_id_user_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_transactions_id_transaction_put) | **PUT** /users/{id_user}/transactions/{id_transaction} | Edit a transaction meta-data
*BudgeaClient::BanksApi* | [**users_id_user_transactions_post**](docs/BanksApi.md#users_id_user_transactions_post) | **POST** /users/{id_user}/transactions | Create transactions
*BudgeaClient::BanksApi* | [**users_id_user_transactionsclusters_get**](docs/BanksApi.md#users_id_user_transactionsclusters_get) | **GET** /users/{id_user}/transactionsclusters | Get clustered transactions
*BudgeaClient::BanksApi* | [**users_id_user_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BudgeaClient::BanksApi* | [**users_id_user_transactionsclusters_post**](docs/BanksApi.md#users_id_user_transactionsclusters_post) | **POST** /users/{id_user}/transactionsclusters | Create clustered transaction
*BudgeaClient::ConnectionsApi* | [**banks_get**](docs/ConnectionsApi.md#banks_get) | **GET** /banks | Get list of connectors
*BudgeaClient::ConnectionsApi* | [**banks_id_connector_connections_get**](docs/ConnectionsApi.md#banks_id_connector_connections_get) | **GET** /banks/{id_connector}/connections | Get a subset of id_connection with the largest diversity of account
*BudgeaClient::ConnectionsApi* | [**banks_id_connector_sources_get**](docs/ConnectionsApi.md#banks_id_connector_sources_get) | **GET** /banks/{id_connector}/sources | Get list of connector sources
*BudgeaClient::ConnectionsApi* | [**connections_get**](docs/ConnectionsApi.md#connections_get) | **GET** /connections | Get connections without a user
*BudgeaClient::ConnectionsApi* | [**connections_id_connection_logs_get**](docs/ConnectionsApi.md#connections_id_connection_logs_get) | **GET** /connections/{id_connection}/logs | Get connection logs
*BudgeaClient::ConnectionsApi* | [**connections_id_connection_sources_get**](docs/ConnectionsApi.md#connections_id_connection_sources_get) | **GET** /connections/{id_connection}/sources | Get connection sources
*BudgeaClient::ConnectionsApi* | [**connections_id_connection_sources_id_source_delete**](docs/ConnectionsApi.md#connections_id_connection_sources_id_source_delete) | **DELETE** /connections/{id_connection}/sources/{id_source} | Disable a connection source
*BudgeaClient::ConnectionsApi* | [**connections_id_connection_sources_id_source_post**](docs/ConnectionsApi.md#connections_id_connection_sources_id_source_post) | **POST** /connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ConnectionsApi* | [**connections_id_connection_sources_id_source_put**](docs/ConnectionsApi.md#connections_id_connection_sources_id_source_put) | **PUT** /connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ConnectionsApi* | [**connectors_get**](docs/ConnectionsApi.md#connectors_get) | **GET** /connectors | Get list of connectors
*BudgeaClient::ConnectionsApi* | [**connectors_id_connector_sources_get**](docs/ConnectionsApi.md#connectors_id_connector_sources_get) | **GET** /connectors/{id_connector}/sources | Get list of connector sources
*BudgeaClient::ConnectionsApi* | [**connectors_id_connector_sources_id_source_put**](docs/ConnectionsApi.md#connectors_id_connector_sources_id_source_put) | **PUT** /connectors/{id_connector}/sources/{id_source} | Edit the provided connector source
*BudgeaClient::ConnectionsApi* | [**connectors_post**](docs/ConnectionsApi.md#connectors_post) | **POST** /connectors | Request a new connector
*BudgeaClient::ConnectionsApi* | [**logs_get**](docs/ConnectionsApi.md#logs_get) | **GET** /logs | Get connection logs
*BudgeaClient::ConnectionsApi* | [**providers_get**](docs/ConnectionsApi.md#providers_get) | **GET** /providers | Get list of connectors
*BudgeaClient::ConnectionsApi* | [**providers_id_connector_connections_get**](docs/ConnectionsApi.md#providers_id_connector_connections_get) | **GET** /providers/{id_connector}/connections | Get a random subset of provider's id_connection
*BudgeaClient::ConnectionsApi* | [**providers_id_connector_sources_get**](docs/ConnectionsApi.md#providers_id_connector_sources_get) | **GET** /providers/{id_connector}/sources | Get list of connector sources
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_delete**](docs/ConnectionsApi.md#users_id_user_connections_delete) | **DELETE** /users/{id_user}/connections | Delete all connections
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_get**](docs/ConnectionsApi.md#users_id_user_connections_get) | **GET** /users/{id_user}/connections | Get connections
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_delete**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_delete) | **DELETE** /users/{id_user}/connections/{id_connection} | Delete a connection.
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_get**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_get) | **GET** /users/{id_user}/connections/{id_connection} | Get connection
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_informations_get**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/informations | Get connection additionnal informations
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_logs_get**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/logs | Get connection logs
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_post**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_post) | **POST** /users/{id_user}/connections/{id_connection} | Update a connection.
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_put**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_put) | **PUT** /users/{id_user}/connections/{id_connection} | Force synchronisation of a connection.
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_sources_get**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_sources_get) | **GET** /users/{id_user}/connections/{id_connection}/sources | Get connection sources
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_sources_id_source_delete**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_sources_id_source_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Disable a connection source
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_sources_id_source_post**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_sources_id_source_post) | **POST** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_id_connection_sources_id_source_put**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_sources_id_source_put) | **PUT** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ConnectionsApi* | [**users_id_user_connections_post**](docs/ConnectionsApi.md#users_id_user_connections_post) | **POST** /users/{id_user}/connections | Add a new connection.
*BudgeaClient::ConnectionsApi* | [**users_id_user_logs_get**](docs/ConnectionsApi.md#users_id_user_logs_get) | **GET** /users/{id_user}/logs | Get connection logs
*BudgeaClient::DocumentsApi* | [**documenttypes_get**](docs/DocumentsApi.md#documenttypes_get) | **GET** /documenttypes | Get document types
*BudgeaClient::DocumentsApi* | [**documenttypes_id_documenttype_put**](docs/DocumentsApi.md#documenttypes_id_documenttype_put) | **PUT** /documenttypes/{id_documenttype} | Edit a document type
*BudgeaClient::DocumentsApi* | [**ocr_post**](docs/DocumentsApi.md#ocr_post) | **POST** /ocr | Post an image with OCR
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_documents_delete**](docs/DocumentsApi.md#users_id_user_documents_delete) | **DELETE** /users/{id_user}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_documents_get**](docs/DocumentsApi.md#users_id_user_documents_get) | **GET** /users/{id_user}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_documents_id_document_delete) | **DELETE** /users/{id_user}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_documents_id_document_put) | **PUT** /users/{id_user}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_documents_post**](docs/DocumentsApi.md#users_id_user_documents_post) | **POST** /users/{id_user}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_documents_put**](docs/DocumentsApi.md#users_id_user_documents_put) | **PUT** /users/{id_user}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_ocr_post**](docs/DocumentsApi.md#users_id_user_ocr_post) | **POST** /users/{id_user}/ocr | Post an image with OCR
*BudgeaClient::DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_delete**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_get**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/subscriptions/{id_subscription}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_post**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/subscriptions/{id_subscription}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_put**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::OCRApi* | [**ocr_post**](docs/OCRApi.md#ocr_post) | **POST** /ocr | Post an image with OCR
*BudgeaClient::OCRApi* | [**users_id_user_ocr_post**](docs/OCRApi.md#users_id_user_ocr_post) | **POST** /users/{id_user}/ocr | Post an image with OCR
*BudgeaClient::OIDCApi* | [**oidc_whitelist_id_whitelist_delete**](docs/OIDCApi.md#oidc_whitelist_id_whitelist_delete) | **DELETE** /oidc/whitelist/{id_whitelist} | Delete the supplied authorized redirect uri
*BudgeaClient::OIDCApi* | [**oidc_whitelist_id_whitelist_post**](docs/OIDCApi.md#oidc_whitelist_id_whitelist_post) | **POST** /oidc/whitelist/{id_whitelist} | Edit a authorized redirect uri
*BudgeaClient::OIDCApi* | [**oidc_whitelist_post**](docs/OIDCApi.md#oidc_whitelist_post) | **POST** /oidc/whitelist | Adds an authorized redirect uri
*BudgeaClient::PFMApi* | [**auth_confirm_new_email_post**](docs/PFMApi.md#auth_confirm_new_email_post) | **POST** /auth/confirmNewEmail | Confirm new email address
*BudgeaClient::PFMApi* | [**auth_confirm_post**](docs/PFMApi.md#auth_confirm_post) | **POST** /auth/confirm | Confirm email address
*BudgeaClient::PFMApi* | [**auth_cookie_post**](docs/PFMApi.md#auth_cookie_post) | **POST** /auth/cookie | Login with credentials and set as cookie
*BudgeaClient::PFMApi* | [**auth_register_post**](docs/PFMApi.md#auth_register_post) | **POST** /auth/register | Register to API
*BudgeaClient::PFMApi* | [**auth_resend_confirm_email_post**](docs/PFMApi.md#auth_resend_confirm_email_post) | **POST** /auth/resendConfirmEmail | Resend an email to confirm email address.
*BudgeaClient::PFMApi* | [**auth_token_delete**](docs/PFMApi.md#auth_token_delete) | **DELETE** /auth/token | Remove user access
*BudgeaClient::PFMApi* | [**auth_token_post**](docs/PFMApi.md#auth_token_post) | **POST** /auth/token | Login to API with credentials
*BudgeaClient::PFMApi* | [**hash_delete**](docs/PFMApi.md#hash_delete) | **DELETE** /hash | Delete the user's connections
*BudgeaClient::PFMApi* | [**users_id_user_accounts_id_account_balances_get**](docs/PFMApi.md#users_id_user_accounts_id_account_balances_get) | **GET** /users/{id_user}/accounts/{id_account}/balances | Get balances of accounts
*BudgeaClient::PFMApi* | [**users_id_user_accounts_id_account_operationsalert_get**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_get) | **GET** /users/{id_user}/accounts/{id_account}/operationsalert | Get a list of configurated alerts
*BudgeaClient::PFMApi* | [**users_id_user_accounts_id_account_operationsalert_id_operationsalert_delete**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_id_operationsalert_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/operationsalert/{id_operationsalert} | Delete an alert on transactions or investemens
*BudgeaClient::PFMApi* | [**users_id_user_accounts_id_account_operationsalert_id_operationsalert_put**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_id_operationsalert_put) | **PUT** /users/{id_user}/accounts/{id_account}/operationsalert/{id_operationsalert} | Edit an alert on transactions or investemens
*BudgeaClient::PFMApi* | [**users_id_user_accounts_id_account_operationsalert_post**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_post) | **POST** /users/{id_user}/accounts/{id_account}/operationsalert | Create an alert on transactions or investemens of a given user
*BudgeaClient::PFMApi* | [**users_id_user_accountsalert_get**](docs/PFMApi.md#users_id_user_accountsalert_get) | **GET** /users/{id_user}/accountsalert | Get alert configuration of a specific account
*BudgeaClient::PFMApi* | [**users_id_user_accountsalert_put**](docs/PFMApi.md#users_id_user_accountsalert_put) | **PUT** /users/{id_user}/accountsalert | Update alert configuration of an account
*BudgeaClient::PFMApi* | [**users_id_user_balances_get**](docs/PFMApi.md#users_id_user_balances_get) | **GET** /users/{id_user}/balances | Get balances of accounts
*BudgeaClient::PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_balances_get**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_balances_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/balances | Get balances of accounts
*BudgeaClient::PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_get**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert | Get a list of configurated alerts
*BudgeaClient::PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_delete**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert/{id_operationsalert} | Delete an alert on transactions or investments
*BudgeaClient::PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_put**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert/{id_operationsalert} | Edit an alert on transactions or investments
*BudgeaClient::PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_post**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert | Create an alert on transactions or investments of a given user
*BudgeaClient::PFMApi* | [**users_id_user_connections_id_connection_balances_get**](docs/PFMApi.md#users_id_user_connections_id_connection_balances_get) | **GET** /users/{id_user}/connections/{id_connection}/balances | Get balances of accounts
*BudgeaClient::PFMApi* | [**users_id_user_devices_get**](docs/PFMApi.md#users_id_user_devices_get) | **GET** /users/{id_user}/devices | Get devices
*BudgeaClient::PFMApi* | [**users_id_user_devices_id_device_delete**](docs/PFMApi.md#users_id_user_devices_id_device_delete) | **DELETE** /users/{id_user}/devices/{id_device} | Delete device.
*BudgeaClient::PFMApi* | [**users_id_user_devices_id_device_get**](docs/PFMApi.md#users_id_user_devices_id_device_get) | **GET** /users/{id_user}/devices/{id_device} | Get a device
*BudgeaClient::PFMApi* | [**users_id_user_devices_id_device_put**](docs/PFMApi.md#users_id_user_devices_id_device_put) | **PUT** /users/{id_user}/devices/{id_device} | Update attributes of the device.
*BudgeaClient::PFMApi* | [**users_id_user_devices_post**](docs/PFMApi.md#users_id_user_devices_post) | **POST** /users/{id_user}/devices | Create a device linked to specified token.
*BudgeaClient::PFMApi* | [**users_id_user_forecast_get**](docs/PFMApi.md#users_id_user_forecast_get) | **GET** /users/{id_user}/forecast | Get forecast
*BudgeaClient::PFMApi* | [**users_id_user_get**](docs/PFMApi.md#users_id_user_get) | **GET** /users/{id_user} | Get a user
*BudgeaClient::PFMApi* | [**users_id_user_operationsalert_get**](docs/PFMApi.md#users_id_user_operationsalert_get) | **GET** /users/{id_user}/operationsalert | Get a list of configurated alerts
*BudgeaClient::PFMApi* | [**users_id_user_operationsalert_id_operationsalert_delete**](docs/PFMApi.md#users_id_user_operationsalert_id_operationsalert_delete) | **DELETE** /users/{id_user}/operationsalert/{id_operationsalert} | Delete an alert on transactions or investemens
*BudgeaClient::PFMApi* | [**users_id_user_operationsalert_id_operationsalert_put**](docs/PFMApi.md#users_id_user_operationsalert_id_operationsalert_put) | **PUT** /users/{id_user}/operationsalert/{id_operationsalert} | Edit an alert on transactions or investemens
*BudgeaClient::PFMApi* | [**users_id_user_operationsalert_post**](docs/PFMApi.md#users_id_user_operationsalert_post) | **POST** /users/{id_user}/operationsalert | Create an alert on transactions or investemens of a given user
*BudgeaClient::PFMApi* | [**users_id_user_profiles_get**](docs/PFMApi.md#users_id_user_profiles_get) | **GET** /users/{id_user}/profiles | Get profiles
*BudgeaClient::PFMApi* | [**users_id_user_profiles_id_profile_get**](docs/PFMApi.md#users_id_user_profiles_id_profile_get) | **GET** /users/{id_user}/profiles/{id_profile} | Get a profile
*BudgeaClient::PFMApi* | [**users_id_user_profiles_main_get**](docs/PFMApi.md#users_id_user_profiles_main_get) | **GET** /users/{id_user}/profiles/main | Get the main profile
*BudgeaClient::PFMApi* | [**users_id_user_profiles_me_get**](docs/PFMApi.md#users_id_user_profiles_me_get) | **GET** /users/{id_user}/profiles/me | Get my profile
*BudgeaClient::PFMApi* | [**users_id_user_profiles_me_put**](docs/PFMApi.md#users_id_user_profiles_me_put) | **PUT** /users/{id_user}/profiles/me | Change settings of the profile.
*BudgeaClient::PFMApi* | [**users_id_user_resume_get**](docs/PFMApi.md#users_id_user_resume_get) | **GET** /users/{id_user}/resume | Get synthesis configuration of a specific user
*BudgeaClient::PFMApi* | [**users_id_user_resume_post**](docs/PFMApi.md#users_id_user_resume_post) | **POST** /users/{id_user}/resume | Update synthesis configuration
*BudgeaClient::PaymentsApi* | [**payments_post**](docs/PaymentsApi.md#payments_post) | **POST** /payments | Create and validate a payment request
*BudgeaClient::ProvidersApi* | [**banks_get**](docs/ProvidersApi.md#banks_get) | **GET** /banks | Get list of connectors
*BudgeaClient::ProvidersApi* | [**banks_id_connector_logos_get**](docs/ProvidersApi.md#banks_id_connector_logos_get) | **GET** /banks/{id_connector}/logos | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**banks_id_connector_logos_main_get**](docs/ProvidersApi.md#banks_id_connector_logos_main_get) | **GET** /banks/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**banks_id_connector_logos_thumbnail_get**](docs/ProvidersApi.md#banks_id_connector_logos_thumbnail_get) | **GET** /banks/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**banks_id_connector_sources_get**](docs/ProvidersApi.md#banks_id_connector_sources_get) | **GET** /banks/{id_connector}/sources | Get list of connector sources
*BudgeaClient::ProvidersApi* | [**connections_get**](docs/ProvidersApi.md#connections_get) | **GET** /connections | Get connections without a user
*BudgeaClient::ProvidersApi* | [**connections_id_connection_logs_get**](docs/ProvidersApi.md#connections_id_connection_logs_get) | **GET** /connections/{id_connection}/logs | Get connection logs
*BudgeaClient::ProvidersApi* | [**connections_id_connection_sources_get**](docs/ProvidersApi.md#connections_id_connection_sources_get) | **GET** /connections/{id_connection}/sources | Get connection sources
*BudgeaClient::ProvidersApi* | [**connections_id_connection_sources_id_source_delete**](docs/ProvidersApi.md#connections_id_connection_sources_id_source_delete) | **DELETE** /connections/{id_connection}/sources/{id_source} | Disable a connection source
*BudgeaClient::ProvidersApi* | [**connections_id_connection_sources_id_source_post**](docs/ProvidersApi.md#connections_id_connection_sources_id_source_post) | **POST** /connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ProvidersApi* | [**connections_id_connection_sources_id_source_put**](docs/ProvidersApi.md#connections_id_connection_sources_id_source_put) | **PUT** /connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ProvidersApi* | [**connectors_get**](docs/ProvidersApi.md#connectors_get) | **GET** /connectors | Get list of connectors
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_get**](docs/ProvidersApi.md#connectors_id_connector_logos_get) | **GET** /connectors/{id_connector}/logos | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_id_logo_delete**](docs/ProvidersApi.md#connectors_id_connector_logos_id_logo_delete) | **DELETE** /connectors/{id_connector}/logos/{id_logo} | Delete a single Logo object.
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_id_logo_put**](docs/ProvidersApi.md#connectors_id_connector_logos_id_logo_put) | **PUT** /connectors/{id_connector}/logos/{id_logo} | Create or Update a connector Logo.
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_main_get**](docs/ProvidersApi.md#connectors_id_connector_logos_main_get) | **GET** /connectors/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_post**](docs/ProvidersApi.md#connectors_id_connector_logos_post) | **POST** /connectors/{id_connector}/logos | Create a connector Logo
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_put**](docs/ProvidersApi.md#connectors_id_connector_logos_put) | **PUT** /connectors/{id_connector}/logos | Create or Update a connector Logo
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_logos_thumbnail_get**](docs/ProvidersApi.md#connectors_id_connector_logos_thumbnail_get) | **GET** /connectors/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_sources_get**](docs/ProvidersApi.md#connectors_id_connector_sources_get) | **GET** /connectors/{id_connector}/sources | Get list of connector sources
*BudgeaClient::ProvidersApi* | [**connectors_id_connector_sources_id_source_put**](docs/ProvidersApi.md#connectors_id_connector_sources_id_source_put) | **PUT** /connectors/{id_connector}/sources/{id_source} | Edit the provided connector source
*BudgeaClient::ProvidersApi* | [**connectors_post**](docs/ProvidersApi.md#connectors_post) | **POST** /connectors | Request a new connector
*BudgeaClient::ProvidersApi* | [**documenttypes_get**](docs/ProvidersApi.md#documenttypes_get) | **GET** /documenttypes | Get document types
*BudgeaClient::ProvidersApi* | [**documenttypes_id_documenttype_put**](docs/ProvidersApi.md#documenttypes_id_documenttype_put) | **PUT** /documenttypes/{id_documenttype} | Edit a document type
*BudgeaClient::ProvidersApi* | [**logs_get**](docs/ProvidersApi.md#logs_get) | **GET** /logs | Get connection logs
*BudgeaClient::ProvidersApi* | [**ocr_post**](docs/ProvidersApi.md#ocr_post) | **POST** /ocr | Post an image with OCR
*BudgeaClient::ProvidersApi* | [**providers_get**](docs/ProvidersApi.md#providers_get) | **GET** /providers | Get list of connectors
*BudgeaClient::ProvidersApi* | [**providers_id_connector_logos_get**](docs/ProvidersApi.md#providers_id_connector_logos_get) | **GET** /providers/{id_connector}/logos | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**providers_id_connector_logos_main_get**](docs/ProvidersApi.md#providers_id_connector_logos_main_get) | **GET** /providers/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**providers_id_connector_logos_thumbnail_get**](docs/ProvidersApi.md#providers_id_connector_logos_thumbnail_get) | **GET** /providers/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BudgeaClient::ProvidersApi* | [**providers_id_connector_sources_get**](docs/ProvidersApi.md#providers_id_connector_sources_get) | **GET** /providers/{id_connector}/sources | Get list of connector sources
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_delete**](docs/ProvidersApi.md#users_id_user_connections_delete) | **DELETE** /users/{id_user}/connections | Delete all connections
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_get**](docs/ProvidersApi.md#users_id_user_connections_get) | **GET** /users/{id_user}/connections | Get connections
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_delete) | **DELETE** /users/{id_user}/connections/{id_connection} | Delete a connection.
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_get) | **GET** /users/{id_user}/connections/{id_connection} | Get connection
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_informations_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/informations | Get connection additionnal informations
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_logs_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/logs | Get connection logs
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_post) | **POST** /users/{id_user}/connections/{id_connection} | Update a connection.
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_put) | **PUT** /users/{id_user}/connections/{id_connection} | Force synchronisation of a connection.
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_sources_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_sources_get) | **GET** /users/{id_user}/connections/{id_connection}/sources | Get connection sources
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_sources_id_source_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_sources_id_source_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Disable a connection source
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_sources_id_source_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_sources_id_source_post) | **POST** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_sources_id_source_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_sources_id_source_put) | **PUT** /users/{id_user}/connections/{id_connection}/sources/{id_source} | Enable connection source
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription} | Delete a subscription.
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_logs_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/logs | Get subscriptions logs.
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription} | Update a subscription
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions | Update many subscriptions at once
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_connections_post**](docs/ProvidersApi.md#users_id_user_connections_post) | **POST** /users/{id_user}/connections | Add a new connection.
*BudgeaClient::ProvidersApi* | [**users_id_user_documents_delete**](docs/ProvidersApi.md#users_id_user_documents_delete) | **DELETE** /users/{id_user}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_documents_get**](docs/ProvidersApi.md#users_id_user_documents_get) | **GET** /users/{id_user}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_documents_id_document_delete) | **DELETE** /users/{id_user}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_documents_id_document_put) | **PUT** /users/{id_user}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_documents_post**](docs/ProvidersApi.md#users_id_user_documents_post) | **POST** /users/{id_user}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_documents_put**](docs/ProvidersApi.md#users_id_user_documents_put) | **PUT** /users/{id_user}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_logs_get**](docs/ProvidersApi.md#users_id_user_logs_get) | **GET** /users/{id_user}/logs | Get connection logs
*BudgeaClient::ProvidersApi* | [**users_id_user_ocr_post**](docs/ProvidersApi.md#users_id_user_ocr_post) | **POST** /users/{id_user}/ocr | Post an image with OCR
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_delete**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription} | Delete a subscription.
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_delete**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_get**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/subscriptions/{id_subscription}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_post**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/subscriptions/{id_subscription}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_put**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_logs_get**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_logs_get) | **GET** /users/{id_user}/subscriptions/{id_subscription}/logs | Get subscriptions logs.
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_id_subscription_put**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription} | Update a subscription
*BudgeaClient::ProvidersApi* | [**users_id_user_subscriptions_put**](docs/ProvidersApi.md#users_id_user_subscriptions_put) | **PUT** /users/{id_user}/subscriptions | Update many subscriptions at once
*BudgeaClient::ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/transactions/{id_transaction}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/transactions/{id_transaction}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*BudgeaClient::ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*BudgeaClient::ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*BudgeaClient::ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*BudgeaClient::ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*BudgeaClient::ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*BudgeaClient::RecipientsApi* | [**users_id_user_accounts_id_account_recipients_post**](docs/RecipientsApi.md#users_id_user_accounts_id_account_recipients_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients | Add a recipient.
*BudgeaClient::RecipientsApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_post**](docs/RecipientsApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients | Add a recipient.
*BudgeaClient::RecipientsApi* | [**users_id_user_connections_id_connection_recipients_post**](docs/RecipientsApi.md#users_id_user_connections_id_connection_recipients_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients | Add a recipient.
*BudgeaClient::RecipientsApi* | [**users_id_user_recipients_post**](docs/RecipientsApi.md#users_id_user_recipients_post) | **POST** /users/{id_user}/recipients | Add a recipient.
*BudgeaClient::TermsApi* | [**terms_get**](docs/TermsApi.md#terms_get) | **GET** /terms | Return the current terms and the content of the associated file
*BudgeaClient::TermsApi* | [**terms_id_term_post**](docs/TermsApi.md#terms_id_term_post) | **POST** /terms/{id_term} | Add terms content for a language. Only for the active terms, there is no use to update obsolete terms
*BudgeaClient::TermsApi* | [**terms_post**](docs/TermsApi.md#terms_post) | **POST** /terms | Register a version of 'Terms of Service' in database
*BudgeaClient::TermsApi* | [**users_id_user_terms_get**](docs/TermsApi.md#users_id_user_terms_get) | **GET** /users/{id_user}/terms | Get active terms object for a specific user, only one terms can be active
*BudgeaClient::TermsApi* | [**users_id_user_terms_post**](docs/TermsApi.md#users_id_user_terms_post) | **POST** /users/{id_user}/terms | Register user's consent for a specific terms id
*BudgeaClient::TransferApi* | [**webauth_get**](docs/TransferApi.md#webauth_get) | **GET** /webauth | First step to establish an oAuth2 connection.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_recipients_get**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_get) | **GET** /users/{id_user}/accounts/{id_account}/recipients | Returns the list of recipients.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient} | Continue addition of a recipient.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_transfers_get**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_get) | **GET** /users/{id_user}/accounts/{id_account}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_id_transfer_post) | **POST** /users/{id_user}/accounts/{id_account}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_accounts_id_account_transfers_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_post) | **POST** /users/{id_user}/accounts/{id_account}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients | Returns the list of recipients.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient} | Continue addition of a recipient.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_recipients_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_get) | **GET** /users/{id_user}/connections/{id_connection}/recipients | Returns the list of recipients.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient} | Continue addition of a recipient.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_connections_id_connection_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_recipients_get**](docs/TransfersApi.md#users_id_user_recipients_get) | **GET** /users/{id_user}/recipients | Returns the list of recipients.
*BudgeaClient::TransfersApi* | [**users_id_user_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_post) | **POST** /users/{id_user}/recipients/{id_recipient} | Continue addition of a recipient.
*BudgeaClient::TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/recipients/{id_recipient}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/recipients/{id_recipient}/transfers | Create a transfer object.
*BudgeaClient::TransfersApi* | [**users_id_user_transfers_get**](docs/TransfersApi.md#users_id_user_transfers_get) | **GET** /users/{id_user}/transfers | Get transfers
*BudgeaClient::TransfersApi* | [**users_id_user_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/transfers/{id_transfer} | Cancel a transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_transfers_id_transfer_post) | **POST** /users/{id_user}/transfers/{id_transfer} | Execute or edit a Transfer.
*BudgeaClient::TransfersApi* | [**users_id_user_transfers_post**](docs/TransfersApi.md#users_id_user_transfers_post) | **POST** /users/{id_user}/transfers | Create a transfer object.
*BudgeaClient::UsersManagementApi* | [**hash_delete**](docs/UsersManagementApi.md#hash_delete) | **DELETE** /hash | Delete the user's connections
*BudgeaClient::UsersManagementApi* | [**users_get**](docs/UsersManagementApi.md#users_get) | **GET** /users | Get users
*BudgeaClient::UsersManagementApi* | [**users_id_user_config_delete**](docs/UsersManagementApi.md#users_id_user_config_delete) | **DELETE** /users/{id_user}/config | Delete the given user configurations. deletions on keys prefixed by 'biapi.' (except callback_url) are ignored
*BudgeaClient::UsersManagementApi* | [**users_id_user_config_get**](docs/UsersManagementApi.md#users_id_user_config_get) | **GET** /users/{id_user}/config | Get configuration of a user.
*BudgeaClient::UsersManagementApi* | [**users_id_user_config_post**](docs/UsersManagementApi.md#users_id_user_config_post) | **POST** /users/{id_user}/config | Change configuration of a user. modifications on keys prefixed by 'biapi.' (except callback_url) are ignored
*BudgeaClient::UsersManagementApi* | [**users_id_user_delete**](docs/UsersManagementApi.md#users_id_user_delete) | **DELETE** /users/{id_user} | Delete the user
*BudgeaClient::UsersManagementApi* | [**users_id_user_get**](docs/UsersManagementApi.md#users_id_user_get) | **GET** /users/{id_user} | Get a user
*BudgeaClient::UsersManagementApi* | [**users_id_user_profiles_get**](docs/UsersManagementApi.md#users_id_user_profiles_get) | **GET** /users/{id_user}/profiles | Get profiles
*BudgeaClient::UsersManagementApi* | [**users_id_user_profiles_id_profile_get**](docs/UsersManagementApi.md#users_id_user_profiles_id_profile_get) | **GET** /users/{id_user}/profiles/{id_profile} | Get a profile
*BudgeaClient::UsersManagementApi* | [**users_id_user_profiles_main_get**](docs/UsersManagementApi.md#users_id_user_profiles_main_get) | **GET** /users/{id_user}/profiles/main | Get the main profile
*BudgeaClient::UsersManagementApi* | [**users_id_user_profiles_me_get**](docs/UsersManagementApi.md#users_id_user_profiles_me_get) | **GET** /users/{id_user}/profiles/me | Get my profile
*BudgeaClient::UsersManagementApi* | [**users_id_user_token_post**](docs/UsersManagementApi.md#users_id_user_token_post) | **POST** /users/{id_user}/token | Create a token
*BudgeaClient::WealthApi* | [**finance_securities_get**](docs/WealthApi.md#finance_securities_get) | **GET** /finance/securities | Get finance securities
*BudgeaClient::WealthApi* | [**finance_securities_id_security_history_get**](docs/WealthApi.md#finance_securities_id_security_history_get) | **GET** /finance/securities/{id_security}/history | Get connection logs
*BudgeaClient::WealthApi* | [**users_id_user_accounts_id_account_investments_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_get) | **GET** /users/{id_user}/accounts/{id_account}/investments | Get investments
*BudgeaClient::WealthApi* | [**users_id_user_accounts_id_account_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_id_investment_history_get) | **GET** /users/{id_user}/accounts/{id_account}/investments/{id_investment}/history | Get investment values
*BudgeaClient::WealthApi* | [**users_id_user_accounts_id_account_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_id_investment_pockets_get) | **GET** /users/{id_user}/accounts/{id_account}/investments/{id_investment}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_accounts_id_account_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_id_investment_security_history_get) | **GET** /users/{id_user}/accounts/{id_account}/investments/{id_investment}/security/history | Get connection logs
*BudgeaClient::WealthApi* | [**users_id_user_accounts_id_account_pockets_get**](docs/WealthApi.md#users_id_user_accounts_id_account_pockets_get) | **GET** /users/{id_user}/accounts/{id_account}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments | Get investments
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_history_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments/{id_investment}/history | Get investment values
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments/{id_investment}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_security_history_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments/{id_investment}/security/history | Get connection logs
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_investments_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_get) | **GET** /users/{id_user}/connections/{id_connection}/investments | Get investments
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_id_investment_history_get) | **GET** /users/{id_user}/connections/{id_connection}/investments/{id_investment}/history | Get investment values
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_id_investment_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/investments/{id_investment}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_id_investment_security_history_get) | **GET** /users/{id_user}/connections/{id_connection}/investments/{id_investment}/security/history | Get connection logs
*BudgeaClient::WealthApi* | [**users_id_user_connections_id_connection_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_investments_get**](docs/WealthApi.md#users_id_user_investments_get) | **GET** /users/{id_user}/investments | Get investments
*BudgeaClient::WealthApi* | [**users_id_user_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_investments_id_investment_history_get) | **GET** /users/{id_user}/investments/{id_investment}/history | Get investment values
*BudgeaClient::WealthApi* | [**users_id_user_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_investments_id_investment_pockets_get) | **GET** /users/{id_user}/investments/{id_investment}/pockets | Get pockets
*BudgeaClient::WealthApi* | [**users_id_user_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_investments_id_investment_security_history_get) | **GET** /users/{id_user}/investments/{id_investment}/security/history | Get connection logs
*BudgeaClient::WealthApi* | [**users_id_user_pockets_get**](docs/WealthApi.md#users_id_user_pockets_get) | **GET** /users/{id_user}/pockets | Get pockets


## Documentation for Models

 - [BudgeaClient::Access](docs/Access.md)
 - [BudgeaClient::Account](docs/Account.md)
 - [BudgeaClient::AccountLog](docs/AccountLog.md)
 - [BudgeaClient::AccountType](docs/AccountType.md)
 - [BudgeaClient::Alert](docs/Alert.md)
 - [BudgeaClient::AuthProvider](docs/AuthProvider.md)
 - [BudgeaClient::Category](docs/Category.md)
 - [BudgeaClient::Certificate](docs/Certificate.md)
 - [BudgeaClient::Client](docs/Client.md)
 - [BudgeaClient::ConfigLog](docs/ConfigLog.md)
 - [BudgeaClient::Connection](docs/Connection.md)
 - [BudgeaClient::ConnectionLog](docs/ConnectionLog.md)
 - [BudgeaClient::ConnectionSource](docs/ConnectionSource.md)
 - [BudgeaClient::Connector](docs/Connector.md)
 - [BudgeaClient::ConnectorCategory](docs/ConnectorCategory.md)
 - [BudgeaClient::ConnectorLogo](docs/ConnectorLogo.md)
 - [BudgeaClient::ConnectorSource](docs/ConnectorSource.md)
 - [BudgeaClient::Currency](docs/Currency.md)
 - [BudgeaClient::Device](docs/Device.md)
 - [BudgeaClient::Document](docs/Document.md)
 - [BudgeaClient::DocumentType](docs/DocumentType.md)
 - [BudgeaClient::Field](docs/Field.md)
 - [BudgeaClient::FieldValue](docs/FieldValue.md)
 - [BudgeaClient::File](docs/File.md)
 - [BudgeaClient::Group](docs/Group.md)
 - [BudgeaClient::HashTable](docs/HashTable.md)
 - [BudgeaClient::InlineResponse200](docs/InlineResponse200.md)
 - [BudgeaClient::InlineResponse2001](docs/InlineResponse2001.md)
 - [BudgeaClient::InlineResponse20010](docs/InlineResponse20010.md)
 - [BudgeaClient::InlineResponse20011](docs/InlineResponse20011.md)
 - [BudgeaClient::InlineResponse20012](docs/InlineResponse20012.md)
 - [BudgeaClient::InlineResponse20013](docs/InlineResponse20013.md)
 - [BudgeaClient::InlineResponse20014](docs/InlineResponse20014.md)
 - [BudgeaClient::InlineResponse20015](docs/InlineResponse20015.md)
 - [BudgeaClient::InlineResponse20016](docs/InlineResponse20016.md)
 - [BudgeaClient::InlineResponse20017](docs/InlineResponse20017.md)
 - [BudgeaClient::InlineResponse20018](docs/InlineResponse20018.md)
 - [BudgeaClient::InlineResponse20019](docs/InlineResponse20019.md)
 - [BudgeaClient::InlineResponse2002](docs/InlineResponse2002.md)
 - [BudgeaClient::InlineResponse20020](docs/InlineResponse20020.md)
 - [BudgeaClient::InlineResponse20021](docs/InlineResponse20021.md)
 - [BudgeaClient::InlineResponse20022](docs/InlineResponse20022.md)
 - [BudgeaClient::InlineResponse20023](docs/InlineResponse20023.md)
 - [BudgeaClient::InlineResponse20024](docs/InlineResponse20024.md)
 - [BudgeaClient::InlineResponse20025](docs/InlineResponse20025.md)
 - [BudgeaClient::InlineResponse20026](docs/InlineResponse20026.md)
 - [BudgeaClient::InlineResponse20027](docs/InlineResponse20027.md)
 - [BudgeaClient::InlineResponse20028](docs/InlineResponse20028.md)
 - [BudgeaClient::InlineResponse20029](docs/InlineResponse20029.md)
 - [BudgeaClient::InlineResponse2003](docs/InlineResponse2003.md)
 - [BudgeaClient::InlineResponse20030](docs/InlineResponse20030.md)
 - [BudgeaClient::InlineResponse20031](docs/InlineResponse20031.md)
 - [BudgeaClient::InlineResponse20032](docs/InlineResponse20032.md)
 - [BudgeaClient::InlineResponse20033](docs/InlineResponse20033.md)
 - [BudgeaClient::InlineResponse20034](docs/InlineResponse20034.md)
 - [BudgeaClient::InlineResponse20035](docs/InlineResponse20035.md)
 - [BudgeaClient::InlineResponse20036](docs/InlineResponse20036.md)
 - [BudgeaClient::InlineResponse20037](docs/InlineResponse20037.md)
 - [BudgeaClient::InlineResponse20038](docs/InlineResponse20038.md)
 - [BudgeaClient::InlineResponse20039](docs/InlineResponse20039.md)
 - [BudgeaClient::InlineResponse2004](docs/InlineResponse2004.md)
 - [BudgeaClient::InlineResponse20040](docs/InlineResponse20040.md)
 - [BudgeaClient::InlineResponse20041](docs/InlineResponse20041.md)
 - [BudgeaClient::InlineResponse20042](docs/InlineResponse20042.md)
 - [BudgeaClient::InlineResponse2005](docs/InlineResponse2005.md)
 - [BudgeaClient::InlineResponse2006](docs/InlineResponse2006.md)
 - [BudgeaClient::InlineResponse2007](docs/InlineResponse2007.md)
 - [BudgeaClient::InlineResponse2008](docs/InlineResponse2008.md)
 - [BudgeaClient::InlineResponse2009](docs/InlineResponse2009.md)
 - [BudgeaClient::Investment](docs/Investment.md)
 - [BudgeaClient::InvestmentValue](docs/InvestmentValue.md)
 - [BudgeaClient::Keyword](docs/Keyword.md)
 - [BudgeaClient::LockedUser](docs/LockedUser.md)
 - [BudgeaClient::OidcWhitelist](docs/OidcWhitelist.md)
 - [BudgeaClient::Order](docs/Order.md)
 - [BudgeaClient::Payment](docs/Payment.md)
 - [BudgeaClient::PaymentBeneficiary](docs/PaymentBeneficiary.md)
 - [BudgeaClient::PaymentBeneficiaryRequest](docs/PaymentBeneficiaryRequest.md)
 - [BudgeaClient::PaymentErrorCode](docs/PaymentErrorCode.md)
 - [BudgeaClient::PaymentInstruction](docs/PaymentInstruction.md)
 - [BudgeaClient::PaymentInstructionRequest](docs/PaymentInstructionRequest.md)
 - [BudgeaClient::PaymentRequest](docs/PaymentRequest.md)
 - [BudgeaClient::PaymentState](docs/PaymentState.md)
 - [BudgeaClient::Pocket](docs/Pocket.md)
 - [BudgeaClient::Profile](docs/Profile.md)
 - [BudgeaClient::Project](docs/Project.md)
 - [BudgeaClient::ProjectType](docs/ProjectType.md)
 - [BudgeaClient::Recipient](docs/Recipient.md)
 - [BudgeaClient::RecipientLog](docs/RecipientLog.md)
 - [BudgeaClient::Security](docs/Security.md)
 - [BudgeaClient::Subscription](docs/Subscription.md)
 - [BudgeaClient::SubscriptionLog](docs/SubscriptionLog.md)
 - [BudgeaClient::TermsOfService](docs/TermsOfService.md)
 - [BudgeaClient::Transaction](docs/Transaction.md)
 - [BudgeaClient::TransactionInformation](docs/TransactionInformation.md)
 - [BudgeaClient::TransactionsCluster](docs/TransactionsCluster.md)
 - [BudgeaClient::Transfer](docs/Transfer.md)
 - [BudgeaClient::TransferData](docs/TransferData.md)
 - [BudgeaClient::TransferLog](docs/TransferLog.md)
 - [BudgeaClient::TransferValidationData](docs/TransferValidationData.md)
 - [BudgeaClient::User](docs/User.md)
 - [BudgeaClient::UserAlert](docs/UserAlert.md)
 - [BudgeaClient::Webhook](docs/Webhook.md)
 - [BudgeaClient::WebhookData](docs/WebhookData.md)
 - [BudgeaClient::WebhookLog](docs/WebhookLog.md)


## Documentation for Authorization


### api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

