# BudgeaClient::PaymentsApi

All URIs are relative to *https://demo.biapi.pro/2.0/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**payments_post**](PaymentsApi.md#payments_post) | **POST** /payments | Create and validate a payment request


# **payments_post**
> Payment payments_post(payment_data)

Create and validate a payment request

### Example
```ruby
# load the gem
require 'budgea_client'
# setup authorization
BudgeaClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = BudgeaClient::PaymentsApi.new

payment_data = BudgeaClient::PaymentRequest.new # PaymentRequest | 


begin
  #Create and validate a payment request
  result = api_instance.payments_post(payment_data)
  p result
rescue BudgeaClient::ApiError => e
  puts "Exception when calling PaymentsApi->payments_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payment_data** | [**PaymentRequest**](PaymentRequest.md)|  | 

### Return type

[**Payment**](Payment.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



